<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Dashboard</title>
    <link rel="stylesheet" href="./css/dashboardStyle.css">
</head>
<body>
    <header>
        <a href="/" class="logo"><img src="./photos/newlogo.png"> </a>
    </header>
    <div class="helloBox">
        <h3><label class="hello">Hello, </label> <label class="username">{{username}}!</label></h3>
    </div>
    <section>
        <div class="contentBx1">
            <div class="navbar">
                <ul>
                    <li><h2>Menu</h2></li>
                    <li><a href="/"><!--<img src="./icons/home.png">-->Home</a></li>
                    <li><a href="/income-expenses"><!--<img src="./icons/budget.png">-->Income & expenses</a></li>
                    <li><a href="/saving">Savings</a></li>
                    <li><a href="/plan">Investments</a></li>
                    <li><a href="/help">Help</a></li>
                    <li><a href="/about-us">About Us</a></li>
                    <form method="post" action="/logout"><button><img src="./icons/logout.png"></button></form>
                </ul>
            </div>
        </div>
        <div class="contentBx2">
            <div class="ChartBox">
                <h2>Global overview</h2>
                <canvas id="myChart"></canvas>
            </div>
            <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
            <script>
                let labels = ['Salary','Other Income','rent','charges','Other Expenses']
                const data = {
                    labels: labels,
                    datasets: [{
                        label: 'Money distribution',
                        backgroundColor: ['rgb(0, 255, 255)','rgb(14,91,225)','rgb(255, 0, 0)','rgb(225,216,14)','rgb(225,167,14)'],
                        borderColor: 'rgb(0, 0, 0)',
                        data: [0,0,0,0,0],
                    }]
                };
                const config = {
                    type: 'doughnut',
                    data: data,
                    options: {
                        responsive: true,
                        plugins: {
                            legend: {
                                position: 'top',
                                labels:{
                                    color:'rgb(255,255,255)'
                                },

                            },
                        },

                    }
                };
                const myChart = new Chart(
                    document.getElementById('myChart'),
                    config
                );
            </script>
        </div>
    </section>
</body>
</html>